org.apache.flume.source

## Class NetcatSourceConfigurationConstants

- java.lang.Object
- - org.apache.flume.source.NetcatSourceConfigurationConstants

-     public class NetcatSourceConfigurationConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_ACKEVENT` Ack every event received with an "OK" back to the sender
    `static String` | `CONFIG_HOSTNAME` Hostname to bind to.
    `static String` | `CONFIG_MAX_LINE_LENGTH` Maximum line length per event.
    `static String` | `CONFIG_PORT` Port to bind to.
    `static String` | `CONFIG_SOURCE_ENCODING` Encoding for the netcat source
    `static String` | `DEFAULT_ENCODING`
    `static int` | `DEFAULT_MAX_LINE_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetcatSourceConfigurationConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_HOSTNAME

          public static final String CONFIG_HOSTNAME

      Hostname to bind to.
      See Also:
        Constant Field Values

    - #### CONFIG_PORT

          public static final String CONFIG_PORT

      Port to bind to.
      See Also:
        Constant Field Values

    - #### CONFIG_ACKEVENT

          public static final String CONFIG_ACKEVENT

      Ack every event received with an "OK" back to the sender
      See Also:
        Constant Field Values

    - #### CONFIG_MAX_LINE_LENGTH

          public static final String CONFIG_MAX_LINE_LENGTH

      Maximum line length per event.
      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_LINE_LENGTH

          public static final int DEFAULT_MAX_LINE_LENGTH

      See Also:
        Constant Field Values

    - #### CONFIG_SOURCE_ENCODING

          public static final String CONFIG_SOURCE_ENCODING

      Encoding for the netcat source
      See Also:
        Constant Field Values

    - #### DEFAULT_ENCODING

          public static final String DEFAULT_ENCODING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NetcatSourceConfigurationConstants

          public NetcatSourceConfigurationConstants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.